Contents
Index 🔎︎

# Macros

Lets you record or organize and edit macros.

## Record Macro

Records a new macro. Only available, if macro recording feature is enabled in LibreOffice - Preferences Tools - Options - LibreOffice - Advanced.

## Run Macro

Opens the Macro Selector dialog where you can start a macro.

## Edit Macros

Opens the Macro dialog, where you can create, edit, organize, and run LibreOffice Basic macros.

## Organize Macros

Opens a submenu with links to dialogs where you can organize macros and scripts.

## Digital Signature

Adds and removes digital signatures to and from your macros. You can also use the dialog to view certificates.

## Organize Dialogs

Opens the Dialogs tab page of the Macro Organizer.

## XML Filter Settings

Opens the XML Filter Settings dialog, where you can create, edit, delete, and test filters to import and to export XML files.

Related Topics

The Basic Editor